Package com.pixelmed.network

## Class PresentationAddress

- java.lang.Object
- - com.pixelmed.network.PresentationAddress

-     public class PresentationAddress
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PresentationAddress​(java.lang.String hostname, int port)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getHostname()` |
    `int` | `getPort()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PresentationAddress

          public PresentationAddress​(java.lang.String hostname,
                                     int port)

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getHostname

          public java.lang.String getHostname()

    - #### getPort

          public int getPort()